<bugID>620472<Summary>"Work offline" shouldn't be managed by Firefox, only by the user</Summary><Description>So, I had no idea that we have a preference for this, but we do. 

Right now, Firefox tries to guess whether you are offline, and frequently gets it wrong. I posit that the only people that really want/need the offline mode are fine with triggering it manually.

To do this, we should flip network.manage-offline-status to "False", so Firefox
doesn't do this for you without you asking for it.

I'm fine with shipping with Work Offline available in a menu (for now), but I don't think we should do it for you automatically. That's what I'm trying to fix with this bug. :)</Description></bugID>